Skip to Content
Blockhash Docs
API referenceTokens
GET
/v1/tokens

The ranked token index: without q, the default list of 200; with q, up to 50 matches by symbol, name or address, verified tokens first and impersonators last.

Query Parameters

q?string

Symbol, name, or address. Up to 64 characters.

Lengthlength <= 64

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/tokens"
{  "count": 0,  "source": "indexer",  "tokens": [    {      "address": "string",      "symbol": "string",      "name": "string",      "decimals": 0,      "isStock": true,      "tier": 0,      "impersonator": true,      "price": 0,      "change24h": 0,      "liquidityUsd": 0,      "depthUsd": 0,      "volume24h": 0,      "trades24h": 0,      "pools24h": 0,      "pools": 0,      "priceConfidence": "string",      "priceDepthUsd": 0,      "firstBlock": 0,      "firstSeen": 0,      "marketCapUsd": 0,      "imageUrl": "string",      "book": {        "factory": "string",        "abiSet": "books",        "label": "string",        "bookId": "string",        "vault": "string",        "phase": "waiting",        "step": "arm",        "flags": {          "pastWindow": true,          "graduatable": true,          "feedStale": true        },        "quote": "string",        "raise": {          "raisedQuote": "string",          "taxBpsNow": 0        },        "unlockAt": 0,        "settledAt": 0,        "backingPerTokenWei": "string",        "displayName": "string",        "nftMarket": {          "nft": "string",          "tokensPerNft": "string"        }      }    }  ]}